{# Copyright (c) 2015 Jessica Tallon & Matt Molyneaux. This file is part of Inboxen. Licensed under the terms of the GNU AGPL, as published by the FSF, version 3 the or later #}
{% load i18n static %}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
<head>
    {% include "inboxen/includes/favicons.html" %}
    <title>{% block headline %}{% endblock %} - {{ settings.SITE_NAME }}</title>
    <meta http-equiv="Content-type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link href="{% static "compiled/website.css" %}" rel="stylesheet" type="text/css" />
    <link rel="preload" href="{% url "inboxen-i18n" %}?{{ settings.INBOXEN_COMMIT_ID }}-{{ LANGUAGE_CODE }}" as="fetch" id="snippetLink" />
    {% block header %}{% endblock %}
</head>
<body>
    <span class="sr-only">
        {% if messages %}<a href="#alertmessages">{% trans "Skip to alerts" %}</a>{% endif %}
        <a href="#contentstart">{% trans "Skip to content" %}</a>
    </span>
    <header>
        <div id="navbar-container" class="navbar navbar-default">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a class="navbar-brand" href="{% if user.is_authenticated %}{% url 'user-home' %}{% else %}{% url 'index' %}{% endif %}">{{ settings.SITE_NAME }}</a>
                </div>
                {# label must be a sibling after checkbox to allow styling of label based on checkbox focus #}
                <input type="checkbox" id="navbar-collapse-1">
                <label for="navbar-collapse-1" role="button" class="navbar-toggle collapsed">
                    <span class="sr-only">{% trans "Toggle navigation" %}</span>
                    <span class="icon-bar" aira-hidden="true"></span>
                    <span class="icon-bar" aira-hidden="true"></span>
                    <span class="icon-bar" aira-hidden="true"></span>
                </label>
                {% block navbar %}
                <nav class="collapse navbar-collapse">
                    <ul class="nav navbar-nav">
                        {% if user.is_authenticated %}
                            <li><a href="{% url 'user-settings' %}">{% trans "Account" %}</a></li>
                            <li><a href="{% url 'blog' %}">{% trans "Blog" %}</a></li>
                            <li><a href="{% url 'cms-index' '' %}">{% trans "Help" %}</a></li>
                            <li><a href="{% url 'user-logout' %}">{% trans "Logout" %}</a></li>
                        {% else %}
                            <li><a href="{% url 'user-login' %}">{% trans "Login" %}</a></li>
                            {% if settings.ENABLE_REGISTRATION %}
                                <li><a href="{% url 'user-status' %}">{% trans "Register" %}</a></li>
                            {% endif %}
                            <li><a href="{% url 'blog' %}">{% trans "Blog" %}</a></li>
                            <li><a href="{% url 'cms-index' '' %}">{% trans "Help" %}</a></li>
                        {% endif %}
                    </ul>
                </nav>
                {% endblock %}
            </div>
        </div>
        <div class="container-fluid">
            {% block breadcrumbs %}{% endblock %}
            <div id="alertmessages">{% for message in messages %}
                <div class="alert alert-{{ message.tags }}" role="alert">
                    {{ message }}
                </div>{% endfor %}
            {% block extra-messages %}{% endblock %}
            </div>
        </div>
    </header>
    <main id="contentstart" class="container-fluid">{% block content %}{% endblock %} </main>
    <footer id="footer">{% block footer %}
        <ul>
            <li><a href="{% url 'source-index' %}">{% blocktrans trimmed with SITE_NAME=settings.SITE_NAME%}{{ SITE_NAME }} is Free Software{% endblocktrans %}</a></li>
            <li><a href="{% url 'stats' %}">{% trans "Stats for nerds" %}</a></li>
        </ul>
    {% endblock %}</footer>
    <script src="{% static "compiled/website.min.js" %}"></script>
    {% block extra_js %}{% endblock %}
</body>
</html>
